## org.codehaus.groovy.tools.groovydoc
Class GroovyDocTemplateEngine

Field Summary
`List` | `classTemplatePaths`
`Map` | `classTemplates`
`List` | `docTemplatePaths`
`Map` | `docTemplates`
`TemplateEngine` | `engine`
`List` | `packageTemplatePaths`
`Map` | `packageTemplates`
`ResourceManager` | `resourceManager`
`GroovyDocTool` | `tool`

Constructor Summary
`GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String classTemplate)`
`GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, def docTemplates, def packageTemplates, def classTemplates)`

Method Summary
`String` | `applyClassTemplates(GroovyClassDoc classDoc)`
`String` | `applyPackageTemplate(String template, GroovyPackageDoc packageDoc)`
`String` | `applyRootDocTemplate(String template, GroovyRootDoc rootDoc)`
`Iterator` | `classTemplatesIterator()`
`Iterator` | `docTemplatesIterator()`
`Iterator` | `packageTemplatesIterator()`

Constructor Detail

### GroovyDocTemplateEngine

    public GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String classTemplate)

### GroovyDocTemplateEngine

    public GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, def docTemplates, def packageTemplates, def classTemplates)

Method Detail

### applyClassTemplates

    public String applyClassTemplates(GroovyClassDoc classDoc)

### applyPackageTemplate

    public String applyPackageTemplate(String template, GroovyPackageDoc packageDoc)

### applyRootDocTemplate

    public String applyRootDocTemplate(String template, GroovyRootDoc rootDoc)

### classTemplatesIterator

    public Iterator classTemplatesIterator()

### docTemplatesIterator

    public Iterator docTemplatesIterator()

### packageTemplatesIterator

    public Iterator packageTemplatesIterator()